Package org.zeromq

# Class ZLoop

java.lang.Object
org.zeromq.ZLoop

public class ZLoop extends Object
The ZLoop class provides an event-driven reactor pattern. The reactor handles zmq.PollItem items (pollers or writers, sockets or fds), and once-off or repeated timers. Its resolution is 1 msec. It uses a tickless timer to reduce CPU interrupts in inactive processes.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`ZLoop.IZLoopHandler`

## Constructor Summary

Constructors
Constructor
Description
`ZLoop()`

## Method Summary

Modifier and Type
Method
Description
`int`
`addPoller(ZMQ.PollItem item_, ZLoop.IZLoopHandler handler, Object arg)`
`int`
`addTimer(int delay, int times, ZLoop.IZLoopHandler handler, Object arg)`
`void`
`destroy()`
`void`
`removePoller(ZMQ.PollItem item_)`
`int`
`removeTimer(Object arg)`
`int`
`start()`
`void`
`verbose(boolean verbose)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ZLoop

public ZLoop()

## Method Details

### destroy

public void destroy()

### addPoller

public int addPoller(ZMQ.PollItem item_, ZLoop.IZLoopHandler handler, Object arg)

### removePoller

public void removePoller(ZMQ.PollItem item_)

### addTimer

public int addTimer(int delay, int times, ZLoop.IZLoopHandler handler, Object arg)

### removeTimer

public int removeTimer(Object arg)

### verbose

public void verbose(boolean verbose)

### start

public int start()